<?php



require_once("../../config/Cado.php");

require_once("../cliente/cCliente.php");

$oCliente = new cCliente();



	$dts=$oCliente->mostrarUno($_POST['cli_id']);

	$dt = mysqli_fetch_array($dts);

	$tip=$dt['tb_cliente_tip'];

	$nom=$dt['tb_cliente_nom'];

	$doc=$dt['tb_cliente_doc'];

	$con=$dt['tb_cliente_con'];

	$tel=$dt['tb_cliente_tel'];

	$ema=$dt['tb_cliente_ema'];

	mysqli_free_result($dts);





if($_POST['action']=="editardireccion"){

	

	$dts=$oCliente->filtrardirecciones_uno($_POST['clidir_id']);

	$dt = mysqli_fetch_array($dts);

	$dir=$dt['tb_clientedireccion_nom'];

	mysqli_free_result($dts);

			

	

}

	

?>



<div class="modal-header">

	<h4 class="modal-title" id="titlemodal">DIRECCIONES DEL CLIENTE </strong> <strong class="text-red" ><?php echo $nom;?></strong></h4> 

</div>



 <input name="action_dir" id="action_dir" type="hidden" value="<?php echo $_POST['action']; ?>">

 

<div class="row">

	<div class="col-lg-6 col-xs-12">

          <label for="txt_cli_dir1">Dirección:</label>      

		   <input name="txt_cli_dir1" id="txt_cli_dir1" type="text" value="<?php echo $dir?>" class="form-control">

		  

	</div>

</div>





<div class="modal-footer float-right">	 

	<button type="button" class="btn btn-default pull-left" data-dismiss="modal">Cancelar</button>

</div>





<script type="text/javascript">



	$('#txt_cli_dir1').change(function(){

		$(this).val($(this).val().toUpperCase());

	});

	



	$('#txt_cli_dir1').keydown(function(ev){

		if(ev.keyCode==13){

			

			act = $("#action_dir").val();

			

			agregar_direccion(act,'<?php echo $_POST['clidir_id']; ?>','<?php echo $_POST['cli_id']; ?>',$(this).val().toUpperCase());

			

			

			$(this).val('');

			$('#div_clientedireccion_form_dialog2').modal('hide');

			return false;}

		

		

	});

	

		

function agregar_direccion(act,clidir_id,cli_id,dir){			

	$.ajax({	

		type: "POST",					

		url: "../cliente/cliente_reg.php",

		async:true,

		dataType: "json",                      

		data: ({

			action:act,

			cli_id: cli_id,

			clidir_id: clidir_id,

			dir:dir

		}),

		beforeSend: function() {

			

		},

		success: function(data){

			toastr["success"](data.cli_msj);	

				

		},

		complete: function(){	

			<?php if($_POST['vista']=="ventas"){

			?>	

			cargar_direcciones(<?php echo $_POST['cli_id']; ?>);

			$('#div_clientedireccion_form_dialog').modal('hide');

			<?php	

			}else{?>

			cliente_tabladirecciones(<?php echo $_POST['cli_id']; ?>);

			<?php }?>

		}

	});        

}





</script>